Loading...
Searching...
No Matches
Opm::Linear::OverlappingPreconditioner< SeqPreCond, Overlap > Class Template Reference

An overlap aware preconditioner for any ISTL linear solver. More...

`#include <overlappingpreconditioner.hh>`

Inheritance diagram for Opm::Linear::OverlappingPreconditioner< SeqPreCond, Overlap >:

## Public Types

using | domain_type = typename SeqPreCond::domain_type
using | range_type = typename SeqPreCond::range_type

## Public Member Functions

Dune::SolverCategory::Category | category () const override
| the kind of computations supported by the operator. Either overlapping or non-overlapping
| OverlappingPreconditioner (SeqPreCond &seqPreCond, const Overlap &overlap)
void | pre (domain_type &x, range_type &y) override
void | apply (domain_type &x, const range_type &d) override
void | post (domain_type &x) override

## Detailed Description

template<class SeqPreCond, class Overlap>
class Opm::Linear::OverlappingPreconditioner< SeqPreCond, Overlap >

An overlap aware preconditioner for any ISTL linear solver.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/overlappingpreconditioner.hh